<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="description" content="Reset Password - SPMB Institut Tazkia">
    <meta name="author" content="Institut Tazkia">
    <meta name="keywords" content="institut tazkia, kampus ekonomi syariah, kampus swasta terbaik">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <!-- fontawesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css">
    <!-- favicon -->
    <link rel="shortcut icon" th:href="@{/index/img/favicon.png}" type="image/x-icon">
    <!-- my style -->
    <link rel="stylesheet" th:href="@{/index/css/mainstyle.css}">
    <title>Ubah Password | SPMB Institut Tazkia</title>
</head>

<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<div class="header-devider"></div>
<!-- form buat akun -->
<div class="container">
    <div class="buat-akun">
        <div class="row justify-content-center">
            <div class="col-lg-5 col-md-6">
                <div class="form-area">
                    <h2 class="mb-4">Ubah Password</h2>
                    <form method="post" th:action="@{/confirm}" th:object="${confirm}">
                        <div class="form-group">
                            <label for="password">Password Baru :</label>
                            <input type="password" class="form-control py-4" id="password" name="password"
                                   placeholder="masukan password baru">
                        </div>
                        <div class="form-group">
                            <input type="hidden" id="code" name="code" th:value="${code}">
                            <label for="confirm_password">Konfirmasi Password Baru :</label>
                            <input type="password" class="form-control py-4" name="konfirmasiPassword"
                                   id="confirm_password" placeholder="konfirmasi password baru">
                            <h5 id="message"></h5>
                        </div>
                        <button type="submit" id="submit" style="display: none" disabled class="btn btn-primary col-md-12 col-xs-12">Ubah Password</button>
                        <button type="submit" id="submitb" style="display: block" class="btn btn-primary col-md-12 col-xs-12">Ubah Password</button>
                    </form>
                    <p class="mb-0">Ingat Password ? <a th:href="@{/login}">Login dsini</a></p>
                    <small><a th:href="@{/}">&larr; Kembali ke beranda</a></small>
                </div>
            </div>
            <div class="col-lg-5 col-md-6">
                <div class="brand text-right">
                    <img class="img-fluid my-3" th:src="@{/index/img/ubah-password.svg}" alt="reset password">
                    <!-- <h2><strong>Kamu Lupa Password ?</strong></h2>
                    <p>Jangan khawatir, cukup gunakan email kamu untuk reset password</p> -->
                    <div class="sosial-icon mt-3">
                        <p>Stay connected with us:</p>
                        <a href="https://www.facebook.com/kampustazkia/"><i class="fab fa-facebook-square"></i></a>
                        <a href="https://www.linkedin.com/company/tazkia/"><i class="fab fa-linkedin"></i></a>
                        <a href="https://www.youtube.com/c/TazkiaTV"><i class="fab fa-youtube-square"></i></a>
                        <a href="https://www.instagram.com/tazkiaofficial/"><i
                                class="fab fa-instagram-square"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end form buat akun -->


<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js">
</script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js">
</script>
</body>
<script>

    $('#password, #confirm_password').on('keyup', function () {
        var submitb = document.getElementById("submitb");
        var submit = document.getElementById("submit");
        if ($('#password').val() != $('#confirm_password').val()) {
            $('#message').html('Not Matching').css('color', '#dc3545');
            submitb.style.display='none';
            submit.style.display='block';
        } else if ($('#password').val() == $('#confirm_password').val()) {
            $('#message').html('Matching').css('color', '#007bff');
            submitb.style.display = 'block';
            submit.style.display = 'none';
        }else{
            submitb.style.display = 'block';
            submit.style.display = 'none';
        }

    });
</script>
</html>